use std::fs::copy;
use std::path::PathBuf;

use crate::error::*;

pub fn copy_file(src: &PathBuf, dst: &PathBuf) -> MkrootResult<()> {
	if let Err(e) = copy(&src, &dst) {
		return Err(MkrootError::from(format!(
			"Error copying file from {} to {}: {}",
			&src.display(),
			&dst.display(),
			e
		)));
	}

	Ok(())
}
